﻿Imports System.Runtime.Serialization
Imports System.ServiceModel
Imports System.ServiceModel.Web
Imports System.Text

Namespace WCFServiceWebRole1
   Public Class Service1
	   Implements IService1
		Private myCompetitors As New List(Of Competitor)()

		Public Function getACompetitor(ByVal custID As String) As String() Implements IService1.getACompetitor
			generateCompeteData()

			Dim returnCompete(3) As String

			Dim returnListOfData = ( _
			    From compete In myCompetitors _
			    Where compete.svcCompeteID = custID _
			    Select compete).ToArray()

			For Each competeRecord In returnListOfData
				returnCompete(0) = competeRecord.svcCompeteID
				returnCompete(1) = competeRecord.svcCompeteName
				returnCompete(2) = competeRecord.svcCompeteFY09
				returnCompete(3) = competeRecord.svcCompeteFY10

			Next competeRecord

			Return returnCompete
		End Function

		Public Function getAllCompetitors() As List(Of Competitor) Implements IService1.getAllCompetitors
			generateCompeteData()
			Dim returnlistOfCompetitors As New List(Of Competitor)()

			Dim returnListOfData = ( _
			    From customer In myCompetitors _
			    Select customer).ToArray()

			For Each compete In returnListOfData
				Dim tempCompeteRecord As New Competitor()
				tempCompeteRecord.svcCompeteID = compete.svcCompeteID
				tempCompeteRecord.svcCompeteName = compete.svcCompeteName
				tempCompeteRecord.svcCompeteFY09 = compete.svcCompeteFY09
				tempCompeteRecord.svcCompeteFY10 = compete.svcCompeteFY10
				returnlistOfCompetitors.Add(tempCompeteRecord)
			Next compete

			Return returnlistOfCompetitors
		End Function

		Private Sub generateCompeteData()
			Dim compete1 As New Competitor()
			compete1.svcCompeteID = "BR-CAN-8909"
			compete1.svcCompeteName = "Bauer - Canada"
			compete1.svcCompeteFY09 = "$45,093,028.00"
			compete1.svcCompeteFY10 = "$50,493,820.00"
			myCompetitors.Add(compete1)

			Dim compete2 As New Competitor()
			compete2.svcCompeteID = "NK-USA-8665"
			compete2.svcCompeteName = "Nike - USA"
			compete2.svcCompeteFY09 = "$50,492,331.00"
			compete2.svcCompeteFY10 = "$52,019,828.00"
			myCompetitors.Add(compete2)

			Dim compete3 As New Competitor()
			compete3.svcCompeteID = "GF-EU-9912"
			compete3.svcCompeteName = "Graf - Europe"
			compete3.svcCompeteFY09 = "$24,403,920.00"
			compete3.svcCompeteFY10 = "$24,001,926.00"
			myCompetitors.Add(compete3)

			Dim compete4 As New Competitor()
			compete4.svcCompeteID = "CCM-USA-8843"
			compete4.svcCompeteName = "CCM Hockey"
			compete4.svcCompeteFY09 = "$12,209,105.00"
			compete4.svcCompeteFY10 = "$10,092,813.00"
			myCompetitors.Add(compete4)

		End Sub
   End Class
End Namespace
