﻿Imports System.ComponentModel
Imports System.Runtime.InteropServices
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports Microsoft.SharePoint
Imports Microsoft.SharePoint.WebControls

Namespace CompetitorSPWebPart.SilverlightWebPart
    <ToolboxItemAttribute(False)> _
 Public Class SilverlightWebPart
        Inherits WebPart
        Private _silverlightPluginGenerator As SilverlightPluginGenerator = Nothing

        Public Sub New()
            Me._silverlightPluginGenerator = New SilverlightPluginGenerator With {.Source = New Uri("/XAPS/Silverlight/CompetitorDisplayApp/CompetitorDisplayApp.xap", UriKind.Relative), .Width = New Unit(400, UnitType.Pixel), .Height = New Unit(300, UnitType.Pixel), .BackGround = Color.White, .Version = SilverlightVersion.v3, .AutoUpgrade = True, .OnError = "onSilverlightError"}
        End Sub

        Protected Overrides Sub CreateChildControls()
            MyBase.CreateChildControls()

            Me.Controls.Add(New LiteralControl("<script type=""text/javascript"">" & Resources.onSilverlightErrorHandler & "</script>"))

            ' Set the SiteUrl here.  Can't do this earlier since SPContext may be null during instantiation
            Me._silverlightPluginGenerator.InitParams.Add(New InitParam("SiteUrl", SPContext.Current.Site.Url))
            Me.Controls.Add(New LiteralControl(Me._silverlightPluginGenerator.ToString()))
        End Sub

        Protected Overrides Sub RenderContents(ByVal writer As HtmlTextWriter)
            MyBase.RenderContents(writer)
        End Sub
    End Class
End Namespace
